Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo
Enum IUnit.Type

    java.lang.Object
      java.lang.Enum<IUnit.Type>
          igeo.IUnit.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IUnit.Type>

Enclosing class:
  IUnit

    public static enum IUnit.Type

extends java.lang.Enum<IUnit.Type>

Enum Constant Summary
`Angstroms`
`AstronomicalUnits`
`Centimeters`
`CustomUnits`
`Decimeters`
`Dekameters`
`Feet`
`Gigameters`
`Hectometers`
`Inches`
`Kilometers`
`Lightyears`
`Megameters`
`Meters`
`Microinches`
`Microns`
`Miles`
`Millimeters`
`Mils`
`Nanometers`
`NauticalMiles`
`NoUnits`
`Parsecs`
`Picas`
`Points`
`Yards`

Method Summary
`static IUnit.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IUnit.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoUnits

    public static final IUnit.Type NoUnits

### Angstroms

    public static final IUnit.Type Angstroms

### Nanometers

    public static final IUnit.Type Nanometers

### Microns

    public static final IUnit.Type Microns

### Millimeters

    public static final IUnit.Type Millimeters

### Centimeters

    public static final IUnit.Type Centimeters

### Decimeters

    public static final IUnit.Type Decimeters

### Meters

    public static final IUnit.Type Meters

### Dekameters

    public static final IUnit.Type Dekameters

### Hectometers

    public static final IUnit.Type Hectometers

### Kilometers

    public static final IUnit.Type Kilometers

### Megameters

    public static final IUnit.Type Megameters

### Gigameters

    public static final IUnit.Type Gigameters

### Microinches

    public static final IUnit.Type Microinches

### Mils

    public static final IUnit.Type Mils

### Inches

    public static final IUnit.Type Inches

### Feet

    public static final IUnit.Type Feet

### Yards

    public static final IUnit.Type Yards

### Miles

    public static final IUnit.Type Miles

### Points

    public static final IUnit.Type Points

### Picas

    public static final IUnit.Type Picas

### NauticalMiles

    public static final IUnit.Type NauticalMiles

### AstronomicalUnits

    public static final IUnit.Type AstronomicalUnits

### Lightyears

    public static final IUnit.Type Lightyears

### Parsecs

    public static final IUnit.Type Parsecs

### CustomUnits

    public static final IUnit.Type CustomUnits

Method Detail

### values

    public static IUnit.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IUnit.Type c : IUnit.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IUnit.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD